Bug 1277827 - ERF42-5434 [Foreman::Exception]: unknown permission view_katello/kt_environments on editing external capsule
ERF42-5434 [Foreman::Exception]: unknown permission view_katello/kt_environme...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Capsule (Show other bugs)
6.1.4
Unspecified Unspecified
unspecified Severity high (vote)
: 6.1.4
: --
Assigned To: Katello Bug Bin
Sachin Ghai
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 03:00 EST by Sachin Ghai
Modified: 2017-02-23 14:41 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 15:35:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
UI raises execption on editing a newly configured external capsule (20.55 KB, image/png)
2015-11-04 03:00 EST, Sachin Ghai
no flags Details
complete exception by enabling debug logs (18.87 KB, text/plain)
2015-11-04 03:06 EST, Sachin Ghai
no flags Details
foreman-debug (664.24 KB, application/x-xz)
2015-11-04 03:16 EST, Sachin Ghai
no flags Details

  None (edit)
Description Sachin Ghai 2015-11-04 03:00:46 EST
Created attachment 1089432 [details]
UI raises execption on editing a newly configured external capsule

Description of problem:
I was trying to configure external capsule with satellite 6.1.4. Capsule was configured properly and visible on webUI and hammer cli.

But when I tried to select the capsule, I got following error on webUI:

ERF42-5434 [Foreman::Exception]: unknown permission view_katello/kt_environments

production.log:
=============

==> /var/log/foreman/production.log <==
2015-11-04 02:54:41 [I] Processing by SmartProxiesController#edit as */*
2015-11-04 02:54:41 [I]   Parameters: {"id"=>"2-cloud-qe-21-idmqe-lab-eng-bos-redhat-com"}
2015-11-04 02:54:41 [I]   Rendered taxonomies/_loc_org_tabs.html.erb (13.0ms)
2015-11-04 02:54:41 [I] Deface: 2 overrides found for 'smart_proxies/_form'
2015-11-04 02:54:41 [I] Deface: 'add_smart_proxies_tab' matched 1 times with 'ul.nav > li:first'
2015-11-04 02:54:41 [I] Deface: 'add_smart_proxies_tab_pane' matched 1 times with 'code[erb-loud]:contains("render"):contains("taxonomies/loc_org_tabs")'
2015-11-04 02:54:41 [I]   Rendered smart_proxies/_form.html.erb (23.5ms)
2015-11-04 02:54:41 [I]   Rendered smart_proxies/edit.html.erb (23.8ms)
2015-11-04 02:54:41 [W] Operation FAILED: ERF42-5434 [Foreman::Exception]: unknown permission view_katello/kt_environments
2015-11-04 02:54:41 [I]   Rendered common/500.html.erb (4.2ms)
2015-11-04 02:54:41 [I] Completed 500 Internal Server Error in 42ms (Views: 4.6ms | ActiveRecord: 3.8ms)
2015-11-04 02:56:11 [I] Client disconnected.


Version-Release number of selected component (if applicable):
satellite 6.1.4 (COMPOSE 2 - Fri Oct 30, 2015)

How reproducible:
always

Steps to Reproduce:
1. Install/configure Satellite6.1.4
2. configure external capsule
3. once configured, select from webUI to edit the capsule

Actual results:
ERF42-5434 [Foreman::Exception]: unknown permission view_katello/kt_environments

Expected results:
user should be able to edit the capsule.

Additional info:
Comment 2 Sachin Ghai 2015-11-04 03:06 EST
Created attachment 1089433 [details]
complete exception by enabling debug logs
Comment 4 Sachin Ghai 2015-11-04 03:16 EST
Created attachment 1089445 [details]
foreman-debug
Comment 5 Stephen Benjamin 2015-11-06 12:08:05 EST
You probably need these

https://github.com/Katello/katello/pull/5533
https://github.com/theforeman/foreman/pull/2803
Comment 7 Corey Welton 2015-11-06 16:47:15 EST
Verified in 6.1.5 compose 5
Comment 8 Bryan Kearney 2015-11-19 15:35:06 EST
This fix was delivered in 6.1.4 on 19 November in https://access.redhat.com/errata/RHBA-2015:2474.

Note You need to log in before you can comment on or make changes to this bug.